export declare const deleteProfileResponseSchema: import("zod").ZodObject<{
    id: import("zod").ZodString;
    shortId: import("zod").ZodNumber;
    phoneNumber: import("zod").ZodEffects<import("zod").ZodString, string, string>;
    secondaryPhoneNumber: import("zod").ZodEffects<import("zod").ZodNullable<import("zod").ZodString>, string | null, string | null>;
    fullName: import("zod").ZodString;
    firstName: import("zod").ZodNullable<import("zod").ZodString>;
    gender: import("zod").ZodNullable<import("zod").ZodString>;
    birthDate: import("zod").ZodNullable<import("zod").ZodPipeline<import("zod").ZodString, import("zod").ZodDate>>;
    profilePictureUrl: import("zod").ZodNullable<import("zod").ZodString>;
    instagram: import("zod").ZodNullable<import("zod").ZodString>;
    mail: import("zod").ZodNullable<import("zod").ZodString>;
    dni: import("zod").ZodNullable<import("zod").ZodString>;
    alternativeNames: import("zod").ZodArray<import("zod").ZodString, "many">;
    birthLocationId: import("zod").ZodNullable<import("zod").ZodString>;
    residenceLocationId: import("zod").ZodNullable<import("zod").ZodString>;
    isInTrash: import("zod").ZodBoolean;
    movedToTrashDate: import("zod").ZodNullable<import("zod").ZodDate>;
    created_at: import("zod").ZodDate;
    updated_at: import("zod").ZodDate;
}, "strip", import("zod").ZodTypeAny, {
    id: string;
    phoneNumber: string;
    secondaryPhoneNumber: string | null;
    fullName: string;
    profilePictureUrl: string | null;
    mail: string | null;
    created_at: Date;
    updated_at: Date;
    shortId: number;
    firstName: string | null;
    gender: string | null;
    birthDate: Date | null;
    instagram: string | null;
    dni: string | null;
    alternativeNames: string[];
    birthLocationId: string | null;
    residenceLocationId: string | null;
    isInTrash: boolean;
    movedToTrashDate: Date | null;
}, {
    id: string;
    phoneNumber: string;
    secondaryPhoneNumber: string | null;
    fullName: string;
    profilePictureUrl: string | null;
    mail: string | null;
    created_at: Date;
    updated_at: Date;
    shortId: number;
    firstName: string | null;
    gender: string | null;
    birthDate: string | null;
    instagram: string | null;
    dni: string | null;
    alternativeNames: string[];
    birthLocationId: string | null;
    residenceLocationId: string | null;
    isInTrash: boolean;
    movedToTrashDate: Date | null;
}>;
declare const DeleteProfileResponseDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<import("zod").ZodObject<{
    id: import("zod").ZodString;
    shortId: import("zod").ZodNumber;
    phoneNumber: import("zod").ZodEffects<import("zod").ZodString, string, string>;
    secondaryPhoneNumber: import("zod").ZodEffects<import("zod").ZodNullable<import("zod").ZodString>, string | null, string | null>;
    fullName: import("zod").ZodString;
    firstName: import("zod").ZodNullable<import("zod").ZodString>;
    gender: import("zod").ZodNullable<import("zod").ZodString>;
    birthDate: import("zod").ZodNullable<import("zod").ZodPipeline<import("zod").ZodString, import("zod").ZodDate>>;
    profilePictureUrl: import("zod").ZodNullable<import("zod").ZodString>;
    instagram: import("zod").ZodNullable<import("zod").ZodString>;
    mail: import("zod").ZodNullable<import("zod").ZodString>;
    dni: import("zod").ZodNullable<import("zod").ZodString>;
    alternativeNames: import("zod").ZodArray<import("zod").ZodString, "many">;
    birthLocationId: import("zod").ZodNullable<import("zod").ZodString>;
    residenceLocationId: import("zod").ZodNullable<import("zod").ZodString>;
    isInTrash: import("zod").ZodBoolean;
    movedToTrashDate: import("zod").ZodNullable<import("zod").ZodString>;
    created_at: import("zod").ZodString;
    updated_at: import("zod").ZodString;
}, import("zod").UnknownKeysParam, import("zod").ZodTypeAny, {
    id: string;
    phoneNumber: string;
    secondaryPhoneNumber: string | null;
    fullName: string;
    profilePictureUrl: string | null;
    mail: string | null;
    created_at: string;
    updated_at: string;
    shortId: number;
    firstName: string | null;
    gender: string | null;
    birthDate: Date | null;
    instagram: string | null;
    dni: string | null;
    alternativeNames: string[];
    birthLocationId: string | null;
    residenceLocationId: string | null;
    isInTrash: boolean;
    movedToTrashDate: string | null;
}, {
    id: string;
    phoneNumber: string;
    secondaryPhoneNumber: string | null;
    fullName: string;
    profilePictureUrl: string | null;
    mail: string | null;
    created_at: string;
    updated_at: string;
    shortId: number;
    firstName: string | null;
    gender: string | null;
    birthDate: string | null;
    instagram: string | null;
    dni: string | null;
    alternativeNames: string[];
    birthLocationId: string | null;
    residenceLocationId: string | null;
    isInTrash: boolean;
    movedToTrashDate: string | null;
}>>;
export declare class DeleteProfileResponseDto extends DeleteProfileResponseDto_base {
}
export {};
